Package org.jbpm.casemgmt.impl.model

## Class CaseStageImpl

- java.lang.Object
- - org.jbpm.casemgmt.impl.model.CaseStageImpl

- All Implemented Interfaces:
    `Serializable`, `CaseStage`

      public class CaseStageImpl
      extends Object
      implements CaseStage, Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CaseStageImpl()` |
    `CaseStageImpl​(String id, String name, Collection<AdHocFragment> adHocFragments)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Collection<AdHocFragment>` | `getAdHocFragments()` | Returns names of the adhoc fragments within this stage that can be triggered.
    `String` | `getId()` | Returns id of the stage
    `String` | `getName()` | Returns name of the stage
    `void` | `setId​(String id)` |
    `void` | `setName​(String name)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CaseStageImpl

          public CaseStageImpl()

    - #### CaseStageImpl

          public CaseStageImpl​(String id,
                               String name,
                               Collection<AdHocFragment> adHocFragments)

  - ### Method Detail

    - #### getId

          public String getId()

      Description copied from interface: `CaseStage`
      Returns id of the stage
      Specified by:
        `getId` in interface `CaseStage`
      Returns:

    - #### setId

          public void setId​(String id)

    - #### getName

          public String getName()

      Description copied from interface: `CaseStage`
      Returns name of the stage
      Specified by:
        `getName` in interface `CaseStage`
      Returns:

    - #### setName

          public void setName​(String name)

    - #### getAdHocFragments

          public Collection<AdHocFragment> getAdHocFragments()

      Description copied from interface: `CaseStage`
      Returns names of the adhoc fragments within this stage that can be triggered.
      Specified by:
        `getAdHocFragments` in interface `CaseStage`
      Returns:

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`